@echo off
rem #############################################
rem #                                           #
rem #  ABSSolute service installer batchfile	#
rem #                                           #
rem #  Extra parameter for loging the service:	#
rem #  ( But will generate a big file )         #
rem #  -out %ABS_HOME%server\log\Service.log	#
rem #  Put this before the -err                 #
rem #                                           #
rem #############################################
@echo on

SET ABS_HOME=C:\ABSUHF_Client\
SET JAVA_HOME=%ABS_HOME%jre\bin
SET JRE_HOME=%ABS_HOME%jre

SET JMXport=12345
SET CLASSPATH=
SET CLASSPATH=%CLASSPATH%;%ABS_HOME%\lib\patchserver-api.jar
SET CLASSPATH=%CLASSPATH%;%ABS_HOME%\lib\server-api.jar
SET CLASSPATH=%CLASSPATH%;%ABS_HOME%\Lib\UhfServer.jar

%ABS_HOME%service\ABSUhfSrv.exe -install ABS-Uhf-Srv %JRE_HOME%\bin\server\jvm.dll -Xmx512m -Dcom.sun.management.jmxremote -Dcom.sun.management.jmxremote.port=%JMXport% -Dcom.sun.management.jmxremote.authenticate=false -Dcom.sun.management.jmxremote.ssl=false -Djava.class.path=%CLASSPATH% -start com.abslbs.uhf.Main -params -I %ABS_HOME%lib wrkdir=%ABS_HOME%\lib -N -err %ABS_HOME%log\service_err.log -current %ABS_HOME%\lib -path %JRE_HOME%\bin
Pause